
# Class: FinishModel

## Hierarchy

* **FinishModel**

## Index

### Constructors

* [constructor](finishmodel.md#constructor)

### Properties

* [hires](finishmodel.md#hires)
* [origins](finishmodel.md#origins)
* [previews](finishmodel.md#previews)
* [stateId](finishmodel.md#stateid)

## Constructors

###  constructor

\+ **new FinishModel**(`hires`: string[], `previews`: [PreviewModel](previewmodel.md)[], `origins`: [OriginModel](originmodel.md)[], `stateId`: string): *[FinishModel](finishmodel.md)*

**Parameters:**

Name | Type |
------ | ------ |
`hires` | string[] |
`previews` | [PreviewModel](previewmodel.md)[] |
`origins` | [OriginModel](originmodel.md)[] |
`stateId` | string |

**Returns:** *[FinishModel](finishmodel.md)*

## Properties

###  hires

• **hires**: *string[]*

___

###  origins

• **origins**: *[OriginModel](originmodel.md)[]*

___

###  previews

• **previews**: *[PreviewModel](previewmodel.md)[]*

___

###  stateId

• **stateId**: *string*
